darcs

Issue 2477 Update darcs wiki to newest version of gitit

Title Update darcs wiki to newest version of gitit
Priority Status unknown
Milestone Resolved in
Superseder Nosy List waldyrious
Assigned To
Topics

Created on 2015-10-17.19:13:48 by waldyrious, last changed 2015-10-17.19:38:54 by DaniilFrumin.

Files
File name Uploaded Type Edit Remove
unnamed DaniilFrumin, 2015-10-17.19:38:52 text/html
Messages
msg18795 (view) Author: waldyrious Date: 2015-10-17.19:13:46
While editing some pages on the wiki, I noticed that the "preview"
button had a different padding than the "save" and "discard" ones. I was
about to submit a patch to gitit, when I realized that this had already
been fixed in https://github.com/jgm/gitit/pull/354 -- included in gitit
since 0.10.3.1, https://github.com/jgm/gitit/commit/eda6e08, released
over two years ago. The latest release (at the time of writing) is
0.12.0.1, from 24 August 2015, so besides the fix above, there are
probably several other advantages to upgrading, as described in
https://github.com/jgm/gitit/blob/master/CHANGES.
msg18796 (view) Author: DaniilFrumin Date: 2015-10-17.19:38:52
A +1 on this :)

The only gitit version available on Debian Squeeze is 0.7. I think Ganesh
was in the process of upgrading the darcs.net box, but even with the
upgrade to Wheeze, the available version will be 0.10.
Should we just compile our own gitit binary?


On Sat, Oct 17, 2015 at 9:13 PM, Waldir Pimenta <bugs@darcs.net> wrote:

>
> New submission from Waldir Pimenta <waldir@email.com>:
>
> While editing some pages on the wiki, I noticed that the "preview"
> button had a different padding than the "save" and "discard" ones. I was
> about to submit a patch to gitit, when I realized that this had already
> been fixed in https://github.com/jgm/gitit/pull/354 -- included in gitit
> since 0.10.3.1, https://github.com/jgm/gitit/commit/eda6e08, released
> over two years ago. The latest release (at the time of writing) is
> 0.12.0.1, from 24 August 2015, so besides the fix above, there are
> probably several other advantages to upgrading, as described in
> https://github.com/jgm/gitit/blob/master/CHANGES.
>
> ----------
> messages: 18795
> nosy: waldir
> status: unknown
> title: Update darcs wiki to newest version of gitit
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue2477>
> __________________________________
> _______________________________________________
> darcs-devel mailing list
> darcs-devel@darcs.net
> http://lists.osuosl.org/mailman/listinfo/darcs-devel
>



-- 
Sincerely yours,
-- Daniil
Attachments
History
Date User Action Args
2015-10-17 19:13:48waldyriouscreate
2015-10-17 19:38:54DaniilFruminsetfiles: + unnamed
messages: + msg18796